.button,
button,
input[type='button'],
input[type='reset'],
input[type='submit'] {
    background-color: $button-default;
    border: 0.1rem solid $button-default;
    border-radius: 0.4rem;
    color: $button-text-color;
    cursor: pointer;
    display: inline-block;
    font-size: 1.1rem;
    font-weight: 700;
    height: 3.8rem;
    letter-spacing: 0.1rem;
    line-height: 3.8rem;
    padding: 0 3rem;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    white-space: nowrap;
}

.button:hover,
.button:focus,
button:hover,
button:focus,
input[type='button']:hover,
input[type='button']:focus,
input[type='reset']:hover,
input[type='reset']:focus,
input[type='submit']:hover,
input[type='submit']:focus {
    background-color: $button-default-active;
    border-color: $button-default-active;
    color: $button-text-color;
    outline: 0;
}

.button.button-disabled,
.button[disabled],
button.button-disabled,
button[disabled],
input[type='button'].button-disabled,
input[type='button'][disabled],
input[type='reset'].button-disabled,
input[type='reset'][disabled],
input[type='submit'].button-disabled,
input[type='submit'][disabled] {
    opacity: 0.5;
    cursor: default;
}

.button.button-disabled:hover,
.button.button-disabled:focus,
.button[disabled]:hover,
.button[disabled]:focus,
button.button-disabled:hover,
button.button-disabled:focus,
button[disabled]:hover,
button[disabled]:focus,
input[type='button'].button-disabled:hover,
input[type='button'].button-disabled:focus,
input[type='button'][disabled]:hover,
input[type='button'][disabled]:focus,
input[type='reset'].button-disabled:hover,
input[type='reset'].button-disabled:focus,
input[type='reset'][disabled]:hover,
input[type='reset'][disabled]:focus,
input[type='submit'].button-disabled:hover,
input[type='submit'].button-disabled:focus,
input[type='submit'][disabled]:hover,
input[type='submit'][disabled]:focus {
    background-color: $button-default;
    border-color: $button-default;
}

.button.button-outline,
button.button-outline,
input[type='button'].button-outline,
input[type='reset'].button-outline,
input[type='submit'].button-outline {
    color: $button-default;
    background-color: transparent;
}

.button.button-outline:hover,
.button.button-outline:focus,
button.button-outline:hover,
button.button-outline:focus,
input[type='button'].button-outline:hover,
input[type='button'].button-outline:focus,
input[type='reset'].button-outline:hover,
input[type='reset'].button-outline:focus,
input[type='submit'].button-outline:hover,
input[type='submit'].button-outline:focus {
    color: $button-default-active;
    background-color: transparent;
    border-color: $button-default-active;
}

.button.button-outline.button-disabled:hover,
.button.button-outline.button-disabled:focus,
.button.button-outline[disabled]:hover,
.button.button-outline[disabled]:focus,
button.button-outline.button-disabled:hover,
button.button-outline.button-disabled:focus,
button.button-outline[disabled]:hover,
button.button-outline[disabled]:focus,
input[type='button'].button-outline.button-disabled:hover,
input[type='button'].button-outline.button-disabled:focus,
input[type='button'].button-outline[disabled]:hover,
input[type='button'].button-outline[disabled]:focus,
input[type='reset'].button-outline.button-disabled:hover,
input[type='reset'].button-outline.button-disabled:focus,
input[type='reset'].button-outline[disabled]:hover,
input[type='reset'].button-outline[disabled]:focus,
input[type='submit'].button-outline.button-disabled:hover,
input[type='submit'].button-outline.button-disabled:focus,
input[type='submit'].button-outline[disabled]:hover,
input[type='submit'].button-outline[disabled]:focus {
    color: $button-default;
    border-color: inherit;
}

.button.button-clear,
button.button-clear,
input[type='button'].button-clear,
input[type='reset'].button-clear,
input[type='submit'].button-clear {
    color: $button-default;
    background-color: transparent;
    border-color: transparent;
}

.button.button-clear:hover,
.button.button-clear:focus,
button.button-clear:hover,
button.button-clear:focus,
input[type='button'].button-clear:hover,
input[type='button'].button-clear:focus,
input[type='reset'].button-clear:hover,
input[type='reset'].button-clear:focus,
input[type='submit'].button-clear:hover,
input[type='submit'].button-clear:focus {
    color: $button-default-active;
    background-color: transparent;
    border-color: transparent;
}

.button.button-clear.button-disabled:hover,
.button.button-clear.button-disabled:focus,
.button.button-clear[disabled]:hover,
.button.button-clear[disabled]:focus,
button.button-clear.button-disabled:hover,
button.button-clear.button-disabled:focus,
button.button-clear[disabled]:hover,
button.button-clear[disabled]:focus,
input[type='button'].button-clear.button-disabled:hover,
input[type='button'].button-clear.button-disabled:focus,
input[type='button'].button-clear[disabled]:hover,
input[type='button'].button-clear[disabled]:focus,
input[type='reset'].button-clear.button-disabled:hover,
input[type='reset'].button-clear.button-disabled:focus,
input[type='reset'].button-clear[disabled]:hover,
input[type='reset'].button-clear[disabled]:focus,
input[type='submit'].button-clear.button-disabled:hover,
input[type='submit'].button-clear.button-disabled:focus,
input[type='submit'].button-clear[disabled]:hover,
input[type='submit'].button-clear[disabled]:focus {
    color: $button-default;
}



input.button.button-black,
button.button.button-black {
    background-color: black;
    border-color: black;
}

input.button.button-black.button-outline {
    color: black;
}

input.button.button-black.button-clear {
    color: black;
}

// Small Button; Custom
.button-small {
    font-size: .8rem;
    height: 2.8rem;
    line-height: 2.8rem;
    padding: 0 1.5rem;
}

// Large Button; Custom
input.button.button-large {
    font-size: 1.4rem;
    height: 4.5rem;
    line-height: 4.5rem;
    letter-spacing: .3em;
    padding: 0 2rem;
    border-radius: 2px;
}
